# Retrieve a List of Account Contracts for a Client
source: https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/data-management/query-cms-to-get-particular-data/retrieve-list-acct-con-for-client/index.md

## Test case -- Success {#test-case--success}

This test case describes retrieving a list of account contracts stored in the CMS for a specified client.

**Sample request**

`GET /clients/40000/account-contracts?offset=0&limit=2`

**Sample response**

`200`

```JSON
{
    "count": 2,
    "limit": 2,
    "offset": 0,
    "total": 2,
    "clientAccountContracts": [
        {
            "accountContractBalances": {
                "additionalLimit": 123.12,
                "available": 1401.21,
                "balance": 15123.56,
                "blockedAmount": 751.28,
                "creditLimit": 1231.78,
                "pastDue": 241.21,
                "totalDue": 381.14
            },
            "accountContractId": 60001,
            "accountContractLevel": ".4.",
            "accountContractName": "North Division Account",
            "accountContractNumber": "ABC_121235694296313",
            "accountContractOwner": {
                "accountContractOwnerId": 453135,
                "accountContractOwnerNumber": "ABC_685400081",
                "accountContractOwnerName": "John Doe"
            },
            "accountContractStatusData": {
                "statusCode": "00",
                "statusName": "Account OK",
                "externalStatusCode": "00",
                "externalStatusName": "Account OK"
            },
            "accountContractSubtype": "018-Private Client Account",
            "additionalParameters": "FIRST_CYCLE=2020-01-01;AS=&lt;ASV160927172745>&lt;SOV160927172745>;SP=&lt;SPV180802100310>&lt;SPA1002>;INIT_EVNT;",
            "amendmentDate": "2019-06-25T12:51:30Z",
            "amendmentOfficerId": 14300,
            "amendmentOfficerName": "John Smith",
            "billingAccountContractId": 12412236,
            "billingAccountContractNumber": "28863242747083",
            "branchCode": "BRANCH_A",
            "branchName": "Branch A",
            "cbsNumber": "CBS83863371812033",
            "currency": "EUR",
            "currencyNumericCode": "978",
            "dateClose": "2021-12-31",
            "dateOpen": "2019-06-25",
            "dueDate": "2021-06-25",
            "lastBillingDate": "2021-12-28",
            "leaf": "N",
            "liabilityAccountContractId": 15647311,
            "liabilityAccountContractNumber": "ABC_11810015631",
            "liabilityCategory": "Y",
            "mainProductCode": "ACCOUNT_EUR",
            "nextBillingDate": "2021-06-25",
            "parentAccountContractId": 31412211,
            "parentAccountContractNumber": "ABC_35697292146",
            "parentProductCode": "ACC_EUR",
            "pastDueDate": "2021-06-25",
            "pastDueDays": 233,
            "productCode": "STD-DEBCH-EUR",
            "productName": "Standard Debit Account",
            "serviceGroupCode": "021",
            "serviceGroupName": "GROUP1",
            "topAccountContractId": 16535773,
            "topAccountContractNumber": "ABC_32223519"
        },
        {
            "accountContractBalances": {
                "additionalLimit": 123.12,
                "available": 1401.21,
                "balance": 15123.56,
                "blockedAmount": 751.28,
                "creditLimit": 1231.78,
                "pastDue": 241.21,
                "totalDue": 381.14
            },
            "accountContractId": 60002,
            "accountContractLevel": ".4.",
            "accountContractName": "North Division Account",
            "accountContractNumber": "ABC_121235694296314",
            "accountContractOwner": {
                "accountContractOwnerId": 453135,
                "accountContractOwnerNumber": "ABC_685400081",
                "accountContractOwnerName": "John Doe"
            },
            "accountContractStatusData": {
                "statusCode": "00",
                "statusName": "Account OK",
                "externalStatusCode": "00",
                "externalStatusName": "Account OK"
            },
            "accountContractSubtype": "018-Private Client Account",
            "additionalParameters": "FIRST_CYCLE=2020-01-01;AS=&lt;ASV160927172745>&lt;SOV160927172745>;SP=&lt;SPV180802100310>&lt;SPA1002>;INIT_EVNT;",
            "amendmentDate": "2019-06-25T12:51:30Z",
            "amendmentOfficerId": 14300,
            "amendmentOfficerName": "John Smith",
            "billingAccountContractId": 12412236,
            "billingAccountContractNumber": "28863242747083",
            "branchCode": "BRANCH_A",
            "branchName": "Branch A",
            "cbsNumber": "CBS83863371812033",
            "currency": "EUR",
            "currencyNumericCode": "978",
            "dateClose": "2021-12-31",
            "dateOpen": "2019-06-25",
            "dueDate": "2021-06-25",
            "lastBillingDate": "2021-12-28",
            "leaf": "N",
            "liabilityAccountContractId": 15647311,
            "liabilityAccountContractNumber": "ABC_11810015631",
            "liabilityCategory": "Y",
            "mainProductCode": "ACCOUNT_EUR",
            "nextBillingDate": "2021-06-25",
            "parentAccountContractId": 31412211,
            "parentAccountContractNumber": "ABC_35697292146",
            "parentProductCode": "ACC_EUR",
            "pastDueDate": "2021-06-25",
            "pastDueDays": 233,
            "productCode": "STD-DEBCH-EUR",
            "productName": "Standard Debit Account",
            "serviceGroupCode": "021",
            "serviceGroupName": "GROUP1",
            "topAccountContractId": 16535773,
            "topAccountContractNumber": "ABC_32223519"
        }
    ]
}
```

## Test case -- Success -- No Account Contracts linked to a Client {#test-case--success--no-account-contracts-linked-to-a-client}

This test case describes retrieving a list of account contracts for a specified client that does not have any linked account contracts in the CMS.

For this test case, use the following information in the request:

| Path parameter | Available value |
|----------------|-----------------|
| `client_id`    | 45001           |

**Sample request**

`GET /clients/45001/account-contracts?offset=0&limit=1`

**Sample response**

`200`

```JSON
{
    "count": 0,
    "limit": 1,
    "offset": 0,
    "total": 0,
    "clientAccountContracts": []
}
```

